# Uses of Class
org.xnio.sasl.SaslWrapper

Packages that use SaslWrapper
Package
Description
org.xnio.sasl
Utility classes for using SASL mechanisms atop NIO or XNIO APIs.

## Uses of SaslWrapper in org.xnio.sasl

Methods in org.xnio.sasl that return SaslWrapper
Modifier and Type
Method
Description
`static SaslWrapper`
SaslWrapper.`create(SaslClient saslClient)`
Create a SASL wrapper for a SASL client.
`static SaslWrapper`
SaslWrapper.`create(SaslServer saslServer)`
Create a SASL wrapper for a SASL server.
Constructors in org.xnio.sasl with parameters of type SaslWrapper
Modifier
Constructor
Description
``
`SaslUnwrappingConduit(MessageSinkConduit next, SaslWrapper wrapper)`
``
`SaslWrappingConduit(MessageSinkConduit next, SaslWrapper wrapper)`